(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     12851,        432]
NotebookOptionsPosition[     11456,        378]
NotebookOutlinePosition[     11796,        393]
CellTagsIndexPosition[     11753,        390]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "BENEFITS", " ", "OF", " ", "SHARING", " ", "INFORMATION", " ", "IN", " ", 
    "ITERATIVE", " ", "LEARNING", " ", "CONTROL"}], ",", " ", 
   RowBox[{"Case", " ", "of", " ", "Pure", " ", "Measurement", " ", "Noise"}],
    ",", " ", 
   RowBox[{"Angela", " ", "Sch\[ODoubleDot]llig"}], ",", " ", 
   RowBox[{"Oct", " ", "2009"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.465030567701*^9, 3.465030570954*^9}}],

Cell[BoxData[
 RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"pN", " ", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"a", "+", "b", "+", 
     RowBox[{"j", " ", "b", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"n", " ", "a"}], "+", "b"}], ")"}]}]}], ")"}], "/", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"j", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"n", " ", "a"}], "+", "b"}], ")"}]}]}], ")"}], 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"j", " ", "b"}]}], ")"}]}], ")"}]}]}]], "Input"],

Cell[BoxData[
 FractionBox[
  RowBox[{"a", "+", "b", "+", 
   RowBox[{"b", " ", "j", " ", 
    RowBox[{"(", 
     RowBox[{"b", "+", 
      RowBox[{"a", " ", "n"}]}], ")"}]}]}], 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"b", " ", "j"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"j", " ", 
      RowBox[{"(", 
       RowBox[{"b", "+", 
        RowBox[{"a", " ", "n"}]}], ")"}]}]}], ")"}]}]]], "Output",
 CellChangeTimes->{
  3.463834337343279*^9, 3.4638347746962786`*^9, 3.463836558657279*^9, {
   3.4639986015649953`*^9, 3.463998606420995*^9}, {3.4639987437009954`*^9, 
   3.4639987735909953`*^9}, 3.46503069296*^9, 3.465030887184*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"p11", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"pN", "/.", 
    RowBox[{"n", "\[Rule]", "1"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.4638343559132786`*^9, 3.463834425797279*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{"a", "+", "b"}], 
  RowBox[{"1", "+", 
   RowBox[{"a", " ", "j"}], "+", 
   RowBox[{"b", " ", "j"}]}]]], "Output",
 CellChangeTimes->{
  3.463834352087279*^9, {3.463834382133279*^9, 3.463834394542279*^9}, 
   3.463834427586279*^9, 3.463834777264279*^9, 3.4638365608732786`*^9, {
   3.463998601586995*^9, 3.4639986064369955`*^9}, {3.463998743717995*^9, 
   3.4639987736089954`*^9}, 3.465030692975*^9, 3.465030887201*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Rmeas", " ", "=", " ", 
  RowBox[{"Simplify", "[", 
   RowBox[{"p11", "/", "pN"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.4638344398252788`*^9, 3.4638345036322784`*^9}, {
   3.463834746107279*^9, 3.4638347486422787`*^9}, {3.463836536246279*^9, 
   3.4638365527072787`*^9}, 3.465030641477*^9}],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{"a", "+", "b"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"b", " ", "j"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"b", " ", "j"}], "+", 
     RowBox[{"a", " ", "j", " ", "n"}]}], ")"}]}], 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"a", " ", "j"}], "+", 
     RowBox[{"b", " ", "j"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"a", "+", "b", "+", 
     RowBox[{"b", " ", "j", " ", 
      RowBox[{"(", 
       RowBox[{"b", "+", 
        RowBox[{"a", " ", "n"}]}], ")"}]}]}], ")"}]}]]], "Output",
 CellChangeTimes->{
  3.4638345063122787`*^9, {3.4638347527762785`*^9, 3.4638347800642786`*^9}, 
   3.463836564796279*^9, {3.463998601612995*^9, 3.4639986064649954`*^9}, {
   3.4639987437459955`*^9, 3.463998773635995*^9}, 3.465030693007*^9, 
   3.465030887233*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{"Numerator", "[", "Rmeas", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.464000974237995*^9, 3.464000994112995*^9}, 
   3.465030647898*^9}],

Cell[BoxData[
 RowBox[{"a", "+", "b", "+", 
  RowBox[{"2", " ", "a", " ", "b", " ", "j"}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["b", "2"], " ", "j"}], "+", 
  RowBox[{"a", " ", 
   SuperscriptBox["b", "2"], " ", 
   SuperscriptBox["j", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["b", "3"], " ", 
   SuperscriptBox["j", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["a", "2"], " ", "j", " ", "n"}], "+", 
  RowBox[{"a", " ", "b", " ", "j", " ", "n"}], "+", 
  RowBox[{
   SuperscriptBox["a", "2"], " ", "b", " ", 
   SuperscriptBox["j", "2"], " ", "n"}], "+", 
  RowBox[{"a", " ", 
   SuperscriptBox["b", "2"], " ", 
   SuperscriptBox["j", "2"], " ", "n"}]}]], "Output",
 CellChangeTimes->{{3.4640009829199953`*^9, 3.464000994918995*^9}, 
   3.4650306930220003`*^9, 3.4650308872530003`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{"Denominator", "[", "Rmeas", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.464001035798995*^9, 3.464001040213995*^9}, 
   3.4650306503*^9}],

Cell[BoxData[
 RowBox[{"a", "+", "b", "+", 
  RowBox[{
   SuperscriptBox["a", "2"], " ", "j"}], "+", 
  RowBox[{"2", " ", "a", " ", "b", " ", "j"}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["b", "2"], " ", "j"}], "+", 
  RowBox[{"a", " ", 
   SuperscriptBox["b", "2"], " ", 
   SuperscriptBox["j", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["b", "3"], " ", 
   SuperscriptBox["j", "2"]}], "+", 
  RowBox[{"a", " ", "b", " ", "j", " ", "n"}], "+", 
  RowBox[{
   SuperscriptBox["a", "2"], " ", "b", " ", 
   SuperscriptBox["j", "2"], " ", "n"}], "+", 
  RowBox[{"a", " ", 
   SuperscriptBox["b", "2"], " ", 
   SuperscriptBox["j", "2"], " ", "n"}]}]], "Output",
 CellChangeTimes->{3.4640010417889953`*^9, 3.465030693041*^9, 
  3.465030887271*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"D", "[", 
   RowBox[{"Rmeas", ",", "b"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.463834569067279*^9, 3.4638346174582787`*^9}, {
  3.463834756138279*^9, 3.463834758577279*^9}, {3.4638365793942785`*^9, 
  3.463836581409279*^9}, {3.465030662623*^9, 3.4650306659630003`*^9}}],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    SuperscriptBox["a", "2"], " ", "j", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "n"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"b", " ", "j"}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "a", " ", "j"}], "+", 
         RowBox[{"3", " ", "b", " ", "j"}]}], ")"}]}], "+", 
      RowBox[{"a", " ", "j", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"a", " ", "j"}], "+", 
         RowBox[{"2", " ", "b", " ", "j"}]}], ")"}], " ", "n"}]}], ")"}]}], 
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"a", "+", "b"}], ")"}], " ", "j"}]}], ")"}], "2"], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"a", "+", "b", "+", 
       RowBox[{
        SuperscriptBox["b", "2"], " ", "j"}], "+", 
       RowBox[{"a", " ", "b", " ", "j", " ", "n"}]}], ")"}], 
     "2"]}]]}]], "Output",
 CellChangeTimes->{
  3.463834589084279*^9, 3.463834619442279*^9, {3.463834761704279*^9, 
   3.4638347835172787`*^9}, 3.463836591414279*^9, {3.463998601958995*^9, 
   3.463998606807995*^9}, {3.4639987440879955`*^9, 3.463998773982995*^9}, 
   3.465030693532*^9, 3.465030887749*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"D", "[", 
   RowBox[{"Rmeas", ",", "a"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.465030676492*^9, 3.465030676718*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{"a", " ", "j", " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"b", " ", "j"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "n"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"a", "+", 
        RowBox[{"2", " ", "b"}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"b", " ", "j"}]}], ")"}]}], "+", 
     RowBox[{"a", " ", "b", " ", "j", " ", "n"}]}], ")"}]}], 
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"a", "+", "b"}], ")"}], " ", "j"}]}], ")"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"a", "+", "b", "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", "j"}], "+", 
      RowBox[{"a", " ", "b", " ", "j", " ", "n"}]}], ")"}], "2"]}]]], "Output",\

 CellChangeTimes->{3.465030693738*^9, 3.4650308879449997`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"D", "[", 
   RowBox[{"Rmeas", ",", "n"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.4650306841470003`*^9, 3.4650306865030003`*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["a", "2"], " ", 
   RowBox[{"(", 
    RowBox[{"a", "+", "b"}], ")"}], " ", "j", " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"b", " ", "j"}]}], ")"}]}], 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"a", "+", "b"}], ")"}], " ", "j"}]}], ")"}], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"a", "+", "b", "+", 
      RowBox[{
       SuperscriptBox["b", "2"], " ", "j"}], "+", 
      RowBox[{"a", " ", "b", " ", "j", " ", "n"}]}], ")"}], "2"]}]]], "Output",\

 CellChangeTimes->{3.4650306938450003`*^9, 3.465030888059*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Rmeasb", " ", "=", " ", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Limit", "[", 
    RowBox[{"Rmeas", ",", 
     RowBox[{"b", "\[Rule]", "0"}]}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.463997984647995*^9, 3.463997986486995*^9}, {
  3.465030761899*^9, 3.465030807197*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{"1", "+", 
   RowBox[{"a", " ", "j", " ", "n"}]}], 
  RowBox[{"1", "+", 
   RowBox[{"a", " ", "j"}]}]]], "Output",
 CellChangeTimes->{{3.4650307886289997`*^9, 3.465030808867*^9}, 
   3.465030888113*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"Limit", "[", 
   RowBox[{"Rmeasb", ",", 
    RowBox[{"a", "\[Rule]", "Infinity"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.463834803495279*^9, 3.463834849693279*^9}, {
  3.4638366476222787`*^9, 3.463836649573279*^9}, {3.4650308219709997`*^9, 
  3.465030853388*^9}}],

Cell[BoxData["n"], "Output",
 CellChangeTimes->{{3.463834811830279*^9, 3.463834850539279*^9}, 
   3.4638366516152787`*^9, {3.463998602316995*^9, 3.4639986071629953`*^9}, {
   3.4639987444509954`*^9, 3.4639987743419952`*^9}, 3.465030693877*^9, 
   3.4650308574639997`*^9, 3.465030888132*^9}]
}, Open  ]]
},
WindowSize->{607, 750},
WindowMargins->{{Automatic, 378}, {1, Automatic}},
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 474, 10, 72, "Input"],
Cell[1045, 33, 74, 1, 31, "Input"],
Cell[CellGroupData[{
Cell[1144, 38, 543, 19, 31, "Input"],
Cell[1690, 59, 684, 20, 47, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2411, 84, 211, 5, 31, "Input"],
Cell[2625, 91, 457, 10, 47, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3119, 106, 318, 6, 31, "Input"],
Cell[3440, 114, 904, 27, 47, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4381, 146, 188, 4, 31, "Input"],
Cell[4572, 152, 794, 21, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5403, 178, 188, 4, 31, "Input"],
Cell[5594, 184, 749, 21, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6380, 210, 334, 6, 31, "Input"],
Cell[6717, 218, 1387, 41, 55, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8141, 264, 181, 4, 31, "Input"],
Cell[8325, 270, 982, 33, 52, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9344, 308, 191, 4, 31, "Input"],
Cell[9538, 314, 657, 22, 55, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10232, 341, 306, 7, 31, "Input"],
Cell[10541, 350, 240, 7, 47, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10818, 362, 329, 7, 31, "Input"],
Cell[11150, 371, 290, 4, 30, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
